Reports module
Endpoints
Endpoints for managing Reportings
GET
/reportschedules Returns collection of Report schedule resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/reportschedules HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 5863,
"created_at": "2020-03-26 17:45:52",
"culture": 2,
"description": "value",
"emails": "value",
"end_at": "2020-03-26 18:01:42",
"format": 0,
"frequency": "value",
"last_run_at": "2020-03-26 17:48:44",
"name": "value",
"next_run_at": "2020-03-26 17:52:42",
"report_id": 5442,
"start_at": "2020-03-26 17:44:44",
"status": 0,
"timezone": "value",
"tz": "value"
}
],
"total": 59
}
POST
/reportschedules Creates new Report schedule resource
Parameters
JSON body attributes:
report_id integer
name string
description string
emails array
Array of emails
Array of emails
format string
culture string
start_at date
end_at date
status string
frequency array
Array of frequency config options
Array of frequency config options
tz string
timezone string
Example Request
POST /v1.1/voipstudio/reportschedules HTTP/1.1
Host: l7api.com
{
"report_id": 965,
"name": "abcd",
"description": "abcd",
"emails": [
"john@example.com",
"mike@w3c.com"
],
"format": "abcd",
"culture": "abcd",
"start_at": "2026-07-10",
"end_at": "2026-07-10",
"status": "abcd",
"frequency": {
"type": "W",
"time_of_day": [
10
],
"day_of_week": [
1,
5
],
"day_of_month": []
},
"tz": "abcd",
"timezone": "abcd"
}
Responses
201 Success
400 Validation error
401 Unauthorized
400 Validation error
401 Unauthorized
Example Response
HTTP/1.1 201 OK
Content-Type: application/json
{
"data": {
"id": 7556,
"created_at": "2018-06-01 10:17:22",
"culture": 3,
"description": "value",
"emails": "value",
"end_at": "2018-06-01 10:34:07",
"format": 0,
"frequency": "value",
"last_run_at": "2018-06-01 10:27:44",
"name": "value",
"next_run_at": "2018-06-01 10:34:57",
"report_id": 3927,
"start_at": "2018-06-01 10:31:51",
"status": 1,
"timezone": "value",
"tz": "value"
},
"links": {}
}
GET
/reportschedules/{id} Returns Report schedule resource for given Id
Parameters
Endpoint URL:
{id} integerReportSchedule2 identifier
Example Request
GET /v1.1/voipstudio/reportschedules/52 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 2139,
"created_at": "2020-03-13 19:31:31",
"culture": 3,
"description": "value",
"emails": "value",
"end_at": "2020-03-13 19:29:16",
"format": 0,
"frequency": "value",
"last_run_at": "2020-03-13 19:31:46",
"name": "value",
"next_run_at": "2020-03-13 19:24:08",
"report_id": 6369,
"start_at": "2020-03-13 19:35:37",
"status": 0,
"timezone": "value",
"tz": "value"
},
"links": {}
}
PATCH
/reportschedules/{id} Updates existing Report schedule resource
Parameters
Endpoint URL:
{id} integerReportSchedule2 identifier
JSON body attributes:
report_id integer
name string
description string
emails array
Array of emails
Array of emails
format string
culture string
start_at date
end_at date
status string
frequency array
Array of frequency config options
Array of frequency config options
tz string
timezone string
Example Request
PATCH /v1.1/voipstudio/reportschedules/82 HTTP/1.1
Host: l7api.com
{
"report_id": 159,
"name": "abcd",
"description": "abcd",
"emails": [
"john@example.com",
"mike@w3c.com"
],
"format": "abcd",
"culture": "abcd",
"start_at": "2026-07-10",
"end_at": "2026-07-10",
"status": "abcd",
"frequency": {
"type": "W",
"time_of_day": [
10
],
"day_of_week": [
1,
5
],
"day_of_month": []
},
"tz": "abcd",
"timezone": "abcd"
}
Responses
200 Success
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 5312,
"created_at": "2023-04-25 19:21:44",
"culture": 1,
"description": "value",
"emails": "value",
"end_at": "2023-04-25 19:09:17",
"format": 1,
"frequency": "value",
"last_run_at": "2023-04-25 19:05:02",
"name": "value",
"next_run_at": "2023-04-25 19:20:14",
"report_id": 9232,
"start_at": "2023-04-25 19:09:02",
"status": 1,
"timezone": "value",
"tz": "value"
},
"links": {}
}
DELETE
/reportschedules/{id} Deletes existing Report schedule resource
Parameters
Endpoint URL:
{id} integerReportSchedule2 identifier
Example Request
DELETE /v1.1/voipstudio/reportschedules/68 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 204 OK
GET
/reportschedules/dictionaries Returns Dictionary for Report schedule resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/reportschedules/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Success
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 2056,
"created_at": "2020-12-16 15:21:04",
"culture": 4,
"description": "value",
"emails": "value",
"end_at": "2020-12-16 15:21:31",
"format": 1,
"frequency": "value",
"last_run_at": "2020-12-16 15:27:28",
"name": "value",
"next_run_at": "2020-12-16 15:26:03",
"report_id": 3377,
"start_at": "2020-12-16 15:14:11",
"status": 0,
"timezone": "value",
"tz": "value"
}
],
"total": 59
}